Subject: Re: gtk2-x11: Functions whose name started with '_'
From: "Gerrit P. Haase" <[email-masked]>
To: Yaakov Selkowitz <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Aug 2004 10:59:27 +0200

Yaakov wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1

> Gerrit P. Haase wrote:
> | Not too bad.  Ported including building the libs with libtool?

> Yes.  Trying to get a complete autoreconf was too difficult, as
> configure.in would have to be entirely rewritten.  Instead I left the
> autotools as-is, manually added the -no-undefined flag, and patched in a
> new version of libtool after running configure.

> I'll try to ITP glib-1.2 and gtk+-1.2 sometime this week.

Great, I hope that someone will provide dillo then;)

> | However, I have GIMP running here.  So if they can build gimp without
> | using private symbols, why isn't it possible for others to do so?
> | Which applications are affected?  I want to try to build them without
> | using the private symbols.

> I don't know WHY some programs use the private symbols, but apparently
> there are some that do.  Hansom Young (CyGnome projects) mentioned
> gnome-commander and d4x.  There could very well be others as well.

> I personally have seen this with wxGTK2, but I backported some CVS
> patches and now it builds; I'll have to test both wxGTK and wxGTK2 with
> these changes to see if I didn't break anything; I'll keep you posted.

Thanks.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/